﻿using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XdgIdei
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        BindingList<OrderEntry> orders;

        public MainWindow()
        {
            InitializeComponent();

            orders = new BindingList<OrderEntry>();


            Random r = new Random(1);

            orders.Add(new OrderEntry("A", -250, 2));
            orders.Add(new OrderEntry("B", -654, 1));
            orders.Add(new OrderEntry("C", 10, 1));
            orders.Add(new OrderEntry("D", -754, -1));
            string buf = "";
            for (int i = 0; i < 200; i++)
            {
                if (i % 14 == 0)
                    buf = "";
                else buf = ((char)r.Next(65, 91)).ToString();
                orders.Add(new OrderEntry(buf, r.Next(-59, 56), r.Next(-1000, 1000)));
            }

            XDG.DataSource = orders;

            XDG.FieldLayoutInitialized += (s, a) =>
            {

                Style valueConstraintStyle = new Style(typeof(XamNumericEditor));
                Setter setterConstraint = new Setter();
                setterConstraint.Property = XamNumericEditor.ValueConstraintProperty;
                setterConstraint.Value = new ValueConstraint() { MaxInclusive = 10.0, MinInclusive = -200.0 };

                Setter setterBehavior = new Setter(
                    XamNumericEditor.InvalidValueBehaviorProperty, InvalidValueBehavior.DisplayErrorMessage);

                valueConstraintStyle.Setters.Add(setterBehavior);
                valueConstraintStyle.Setters.Add(setterConstraint);

                XDG.FieldLayouts[0].Fields["Price"].Settings.EditorType = typeof(XamNumericEditor);
                XDG.FieldLayouts[0].Fields["Price"].Settings.EditorStyle = valueConstraintStyle;

            };
        }

      
    }
}
